<section>
  <p>
    <mat-form-field appearance="standard">
      <mat-label>Entrer votre nom</mat-label>
      <input matInput [(ngModel)]="user.nom" placeholder="Entrer your nom">
    </mat-form-field>
  </p>
  <p>
    <mat-form-field appearance="fill">
      <mat-label>Entrer votre prenom</mat-label>
      <input  matInput [(ngModel)]="user.prenom" placeholder="Entrer votre prenom">
    </mat-form-field>
  </p>
  <p>
    <mat-form-field appearance="fill">
      <mat-label>Entrer votre email</mat-label>
      <input matInput [(ngModel)]="user.email" placeholder="Entrer votre email">
    </mat-form-field>
  </p>
  <p>
    <mat-form-field appearance="fill">
      <mat-label>password)</mat-label>
      <input matInput [(ngModel)]="user.password" placeholder="Entrer votre password">
    </mat-form-field>
  </p>
  <p>
    <mat-form-field>
      <mat-label>Role</mat-label>
      <select [(ngModel)]="user.role" matNativeControl required>
        <option value="Admin">Admin</option>
        <option value="Collaborateur client">Collaborateur client</option>
        <option value="Collaborateur Peaqock">Collaborateur Peaqock</option>
      </select>
    </mat-form-field>
  </p>

  <button mat-button (click)="cancel()">Annuler</button> &nbsp;&nbsp;
  <button *ngIf="!isUpdate" mat-raised-button (click)="onSaveUser()">Ajouter</button>
  <button *ngIf="isUpdate" mat-raised-button (click)="onSaveUser()">Modifier</button>
  
</section>